org.apache.mina.proxy.session

## Class ProxyIoSessionInitializer<T extends ConnectFuture>

- java.lang.Object
- - org.apache.mina.proxy.session.ProxyIoSessionInitializer<T>

- All Implemented Interfaces:
    IoSessionInitializer<T>

      public class ProxyIoSessionInitializer<T extends ConnectFuture>
      extends Object
      implements IoSessionInitializer<T>

  ProxyIoSessionInitializer.java - `IoSessionInitializer` wrapper class to inject the `ProxyIoSession` object that contains all the attributes of the target connection into the `IoSession`.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyIoSessionInitializer(IoSessionInitializer<T> wrappedSessionInitializer, ProxyIoSession proxyIoSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyIoSession` | `getProxySession()`
    `void` | `initializeSession(IoSession session, T future)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyIoSessionInitializer

          public ProxyIoSessionInitializer(IoSessionInitializer<T> wrappedSessionInitializer,
                                   ProxyIoSession proxyIoSession)

  - ### Method Detail

    - #### getProxySession

          public ProxyIoSession getProxySession()

    - #### initializeSession

          public void initializeSession(IoSession session,
                               T future)

      Specified by:
        `initializeSession` in interface `IoSessionInitializer<T extends ConnectFuture>`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.